Bug 976582 - netinst.iso option confuses: "boot from local drive"
netinst.iso option confuses: "boot from local drive"
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: syslinux (Show other bugs)
19
Unspecified Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Peter Jones
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-20 18:10 EDT by John Reiser
Modified: 2015-02-17 10:38 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 10:38:53 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Reiser 2013-06-20 18:10:51 EDT
Description of problem: Booting the netinst.iso from physical platter and choosing "Troubleshooting > Boot from local drive" accomplishes little.


Version-Release number of selected component (if applicable):
ISOLINUX 4.05 2011-12-09
Fedora-19-Final-TC6-i386-netinst.iso

How reproducible: every time


Steps to Reproduce:
1. boot Fedora-19-Final-TC6-i386-netinst.iso from physical CD-R.  (x86_64 works the same)
2. Choose Troubleshooting > Boot from local drive
3.

Actual results:  Control is intercepted by BIOS with BIOS-dependent VGA text message such as "PRESS A KEY TO REBOOT" or:
  Booting from local disk...
    <<blank line>>
  Reboot and Select proper Boot device
  or Insert Boot Media in selected Boot device and press a key

Nothing happens until a key is pressed.  Once any key is pressed, then I see an ordinary reboot (as if pressing the hardware ResetSwitch), so if "boot from optical drive" appears in the BIOS boot order before "boot from harddrive", then I just [re-]boot from optical drive containing netinst.iso, thus achieving only a time delay with no change in state.


Expected results: Boot as if the platter containing netinst.iso was not loaded into its drive.  In the traditional classic case, this means loading the MasterBootRecord from the boot ("first") harddrive, and transferring control to it (which probably is grub or grub2, etc.)  It seems to me that the purpose of the option is so that you don't have to unload the netinst.iso platter in order to avoid booting from it.  Ctrl-Alt-DEL keyboard reset activation already accomplishes what "Boot from local drive" does currently.  It isn't obvious to me that the equivalence is intended.  If it is, then please relabel the option as "Warm boot" or "Cold boot" or "Reboot" etc., omitting the text "from local drive" because only the BIOS knows for sure.


Additional info: Bug #431636 (first in Fedora 9, 2008-02-05; last in Fedora 12, 2010-12-05) is the same but does not allow me to re-open.
Comment 1 Fedora End Of Life 2015-01-09 13:29:37 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2015-02-17 10:38:53 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.